> ## Documentation Index
> Fetch the complete documentation index at: https://docs.soharhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Flow

> Creates a Flow.



## OpenAPI

````yaml post /v1/flows
openapi: 3.0.0
info:
  version: 1.0.0
  title: Sohar API
  license:
    name: MIT
servers:
  - url: https://api.soharhealth.com
security: []
paths:
  /v1/flows:
    post:
      tags:
        - Flows
      summary: Create Flow
      description: Creates a Flow.
      operationId: createFlow
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateFlowRequest'
            example:
              name: Eligibility Flow
              description: Creates a Verification request.
      responses:
        '201':
          description: A Flow ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateFlowResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - invalid_request_error
                    default: invalid_request_error
                  param:
                    type: string
                    example: description
        '403':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - invalid_request_error
                    default: invalid_request_error
        '500':
          description: Internal error
      security:
        - BasicAuth: []
components:
  schemas:
    CreateFlowRequest:
      type: object
      required:
        - name
        - description
      properties:
        name:
          type: string
          description: The name of the Flow.
          example: Eligibility Flow
        description:
          type: string
          description: A description of the Flow.
          example: Creates a Verification request.
    CreateFlowResponse:
      type: object
      required:
        - flowId
      properties:
        flowId:
          type: string
          description: The Sohar ID for the Flow.
          example: 33093874-1e3d-4ea9-b988-8cc64e5a4079
  securitySchemes:
    BasicAuth:
      type: http
      scheme: bearer

````